"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLinkSelected = exports.findLinkEntities = exports.Link = void 0;
const react_1 = __importDefault(require("react"));
const Link = (props) => {
    const { url } = props.contentState.getEntity(props.entityKey).getData();
    return (react_1.default.createElement("a", { href: url, style: { color: "#3b5998", textDecoration: "underline" } }, props.children));
};
exports.Link = Link;
const findLinkEntities = (contentBlock, callback, contentState) => {
    contentBlock.findEntityRanges((character) => {
        const entityKey = character.getEntity();
        return (entityKey !== null &&
            contentState.getEntity(entityKey).getType() === "LINK");
    }, callback);
};
exports.findLinkEntities = findLinkEntities;
const isLinkSelectedAtText = (editorState) => {
    const selection = editorState.getSelection();
    if (!selection.isCollapsed()) {
        const contentState = editorState.getCurrentContent();
        const block = contentState.getBlockForKey(selection.getStartKey());
        const entity = block.getEntityAt(selection.getStartOffset());
        if (entity) {
            const entityInstance = contentState.getEntity(entity);
            return entityInstance.getType() === "LINK";
        }
    }
    return false;
};
const isLinkSelectedAtCursor = (editorState) => {
    const selection = editorState.getSelection();
    if (selection.isCollapsed()) {
        const contentState = editorState.getCurrentContent();
        const block = contentState.getBlockForKey(selection.getStartKey());
        const entity = block.getEntityAt(selection.getStartOffset() - 1);
        if (entity) {
            const entityInstance = contentState.getEntity(entity);
            return entityInstance.getType() === "LINK";
        }
    }
    return false;
};
const isLinkSelected = (editorState) => {
    return (isLinkSelectedAtCursor(editorState) || isLinkSelectedAtText(editorState));
};
exports.isLinkSelected = isLinkSelected;
